%define branch_ver 4.0

%define major		4
%define libname		%mklibname kvilib %major
%define develname	%mklibname kvilib -d

Name:		kvirc
Version:	4.0.4
Release:	%mkrel 1
Summary:	Qt IRC client
Group:		Networking/IRC
License:	GPLv2+ with exceptions
URL:		http://www.kvirc.net
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	cmake
BuildRequires:	kdelibs4-devel
BuildRequires:	perl-devel
BuildRequires:	gettext
BuildRequires:	phonon-devel
BuildRequires:	openssl-devel
BuildRequires:	doxygen
BuildRequires:	shared-mime-info > 0.23
BuildRequires:	gsm-devel
Obsoletes:	kvirc4 < %version-%release
Provides:	kvirc4 = %version-%release

%description
Qt-based IRC client with support for themes, transparency, encryption,
many extended IRC features, and scripting.

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_libdir}/%{name}/%{branch_ver}
%{_datadir}/%{name}/%{branch_ver}
%{_iconsdir}/hicolor
%{_mandir}/man1
%lang(de) %_mandir/de/man1
%lang(it) %_mandir/it/man1
%lang(fr) %_mandir/fr/man1
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/%{name}.png


#--------------------------------------------------------------------
%package -n %{libname}
Summary:	Shared library for KVirc 4
Group:		System/Libraries
Obsoletes:	%{mklibname kvirc 4 4} 

%description -n %{libname}
Shared library provided by KVirc 4.

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libkvilib.so.%{major}*


#--------------------------------------------------------------------
%package -n %{develname}
Requires:	%{libname} = %{version}-%{release}
Summary:	Development headers for KVirc 4
Group:		Development/C++
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development headers for KVirc 4.

%files  -n %{develname}
%defattr(-,root,root)
%{_bindir}/%name-config
%{_libdir}/libkvilib.so


#--------------------------------------------------------------------
%prep 
%setup -q

%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48,64x64,128x128,scalable}/apps
for i in 16x16 32x32 48x48 64x64 128x128; do \
	cp data/icons/$i/*.png %{buildroot}%{_iconsdir}/hicolor/$i/apps; \
done
cp data/icons/scalable/*.svg* %{buildroot}%{_iconsdir}/hicolor/scalable/apps
rm -f %{buildroot}%{_iconsdir}/hicolor/scalable/apps/createpng.sh


%clean
rm -rf %{buildroot}



%changelog
* Sat May 14 2011 ze <ze> 4.0.4-1.mga1
+ Revision: 98776
- imported package kvirc

